Bug 4990 - reintegrate overdues email in overdue list
Summary: reintegrate overdues email in overdue list
Status: NEW
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bugs List
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-13 13:54 UTC by Nahuel Angelinetti
Modified: 2015-09-16 07:06 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Patch for HEAD proposed (3.15 KB, patch)
2010-07-29 13:17 UTC, dev_patches
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nahuel Angelinetti 2010-07-13 13:54:04 UTC
In 2.2 that email links worked. Now it doesn't, It should be re-implemented.
It must be attached to a specific letter.
Comment 1 dev_patches 2010-07-29 13:17:17 UTC Comment hidden (obsolete)
Comment 2 dev_patches 2010-07-29 13:29:21 UTC
Comment on attachment 2434 [details] [review]
Patch for HEAD proposed

This patch introduces an error.
Comment 3 Katrin Fischer 2010-11-08 18:59:12 UTC
The feature was pushed to 3.0.x and should be added to 3.2 too.

3.0.x:
http://git.koha-community.org/gitweb/?p=koha.git;a=commit;h=a8441dfabf5c2b561b6ba93c084a88072a910043
Comment 4 Chris Cormack 2010-11-08 19:42:11 UTC
Ill rebase it on master, and push it up for people to test
Comment 5 Chris Cormack 2010-11-08 19:55:18 UTC
Cherry picked, conflict fixed and pushed to new/awaiting_qa/bug_4990
Comment 6 Chris Cormack 2010-11-15 07:44:07 UTC
Unfortunately this cherry-pick wont work, that file diverged from master significantly in the 3.0.x.

The work will need to be redone.

I'm going to revert the cherry-pick and will work on the fix and push that up for qa
Comment 7 Chris Cormack 2010-11-15 08:07:43 UTC
Instead of reverting, I have pushed an attempted fix for testing.
Comment 8 Katrin Fischer 2010-11-15 09:22:18 UTC
That looks a lot better, but we are not quite there yet.

1. Umlauts and diacritics are broken - encoding problem?

2. A lot of the placeholders are not parsed. I didn't manage to get the list of items into the notice. That's the template I tried:

Dear <<borrowers.firstname>> <<borrowers.surname>>,

<<branches.branchname>>
<<branches.branchaddress1>>
<<branches.branchaddress2>> <<branches.branchaddress3>>
<<branches.branchphone>>
<<branches.branchfax>>
<<branches.branchemail>>

<item>"<<biblio.title>>" by <<biblio.author>>, <<items.itemcallnumber>>, Barcode: <<items.barcode>> Fine: <fine>EUR</fine></item>

<<items.content>>

<<biblio.title>>
<<biblio.author>>
<<items.barcode>>


Thank you,

<<branches.branchname>> 

äöüß&
-------------------------

That's the output:
Dear Katrin Fischer,

HFJS/Zentralarchiv

 




<item>"<<biblio.title>>" by <<biblio.author>>, <<items.itemcallnumber>>, Barcode: <<items.barcode>> Fine: <fine>EUR</fine></item>

<<biblio.title>>
<<biblio.author>>
<<items.barcode>>


Thank you,

HFJS/Zentralarchiv 

äöüß
--------------

Branchname and name of borrower seem to work.
Comment 9 Katrin Fischer 2012-04-07 17:36:59 UTC
This feature is still missing in current master.
Comment 10 Katrin Fischer 2013-01-28 13:08:03 UTC
Resetting assignee and setting bug to NEW. Feature didn't work since 3.0.x, so probably can be considered an enhancement by now.